POST
/
v1
/
webhook-endpoints
/
{id}
/
test
Send a test webhook
curl --request POST \
  --url https://sandbox.authbound.io/v1/webhook-endpoints/{id}/test \
  --header 'Content-Type: application/json' \
  --header 'X-Authbound-Key: <api-key>' \
  --data '{}'
{
  "success": true,
  "data": {
    "eventId": "evt_test_00000000000000000000000",
    "deliveryStatus": "SUCCESS",
    "statusCode": 200,
    "timestamp": 1779269400
  },
  "error": "<string>"
}

Authorizations

X-Authbound-Key
string
header
required

Server-side secret key header. Format: sk_live_* (production) or sk_test_* (testing).

Path Parameters

id
string<uuid>
required

Body

application/json
event_type
enum<string>
required
Available options:
verification.state_changed,
verification.completed,
verification.failed,
verification.canceled,
verification.expired

Response

Test webhook delivery result

success
boolean
required
data
object
error
string